Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232335 - 'service ipvsadm status' returns 0 when the service is stopped
Summary: 'service ipvsadm status' returns 0 when the service is stopped
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ipvsadm
Version: 5.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-14 19:59 UTC by Ryan McCabe
Modified: 2009-09-02 12:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 12:00:18 UTC


Attachments (Terms of Use)
patch for ipvsadm init script (deleted)
2007-03-14 19:59 UTC, Ryan McCabe
no flags Details | Diff
Simplified patch (deleted)
2007-06-21 12:20 UTC, Marek Grac
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1398 normal SHIPPED_LIVE ipvsadm bug fix update 2009-09-01 12:02:23 UTC

Description Ryan McCabe 2007-03-14 19:59:41 UTC
'service ipvsadm status' returns 0 when the service is stopped

patch attached

Comment 1 Ryan McCabe 2007-03-14 19:59:41 UTC
Created attachment 150087 [details]
patch for ipvsadm init script

Comment 2 Stanko Kupcevic 2007-03-17 06:13:28 UTC
Sudden takeover

Comment 3 RHEL Product and Program Management 2007-05-10 17:26:26 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Marek Grac 2007-06-21 12:20:27 UTC
Created attachment 157530 [details]
Simplified patch

Proposed patch is correct but change formatting so it is not small enough :)

Comment 5 Kiersten (Kerri) Anderson 2007-06-25 15:29:42 UTC
Moving to 5.2 - not important enough for 5.1 errata effort 

Comment 8 Marek Grac 2007-10-16 13:46:38 UTC
Patch is in CVS

Comment 9 Jay Turner 2007-11-30 06:59:02 UTC
QE ack for RHEL5.2.  Straightforward to verify.

Comment 11 RHEL Product and Program Management 2007-12-07 16:54:27 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.

Comment 12 RHEL Product and Program Management 2008-07-21 23:11:38 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 18 errata-xmlrpc 2009-09-02 12:00:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1398.html


Note You need to log in before you can comment on or make changes to this bug.